System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Problems in installing php 4 in HP-UX 11.23 ia64 box

 
Sutapa Dey
Frequent Advisor

Problems in installing php 4 in HP-UX 11.23 ia64 box

I have Apache version 2.0.58 running and I hv downloaded php tar ball of version php-4.4.8.tar.gz.
Here are the steps I followed :
1. Gunzip .tar.gz
2. Untar : tar –xvf .tar
3. It will be installed in the same directory for me /var/depot/VSM/php-4.4.8
4. Configuring with mysql : ./configure --with-apxs2=/opt/hpws/apache/bin/apxs --with-mysql
5. Execute command : # make
6. After executing the "make install" command, I got the following error

make install
Installing PHP SAPI module: apache2handler
/opt/hpws/apache/build/instdso.sh SH_LIBTOOL='/opt/hpws/apache/build/libtool' libphp4.la /opt/hpws/apache/modules
/opt/hpws/apache/build/libtool --mode=install cp libphp4.la /opt/hpws/apache/modules/
cp .libs/libphp4.sl /opt/hpws/apache/modules/libphp4.sl
chmod 555 /opt/hpws/apache/modules/libphp4.sl
cp .libs/libphp4.lai /opt/hpws/apache/modules/libphp4.la
libtool: install: warning: remember to run `libtool --finish /var/depot/VSM/php-4.4.8/libs'
chmod 755 /opt/hpws/apache/modules/libphp4.so
[activating module `php4' in /opt/hpws/apache/conf/httpd.conf]
Installing PHP CLI binary: /usr/local/bin/
Installing PHP CLI man page: /usr/local/man/man1/
Installing PEAR environment: /usr/local/lib/php/
sh: 22244 Memory fault(coredump)
*** Error exit code 139

Stop.
*** Error exit code 1

Stop.

Please help how to resolve this issue.
3 REPLIES
Steven E. Protter
Exalted Contributor

Re: Problems in installing php 4 in HP-UX 11.23 ia64 box

Shalom,

Most of the time a code change is required to make these tarballs work in HP-UX.

Better is the LAMP depot package provided at http://software.hp.com

Search for apache and you will find a number of supported combination's that HP has already handled the software changes on.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Sutapa Dey
Frequent Advisor

Re: Problems in installing php 4 in HP-UX 11.23 ia64 box

hey but that link is giving this error "We are sorry, we are currently unable to process any Buy products on this site. We are working to resolve this situation as soon as possible!"

What can I do or rather from where else I can get the tar for php4 with soem Apache version? Please help it's critical for me.
Dennis Handly
Acclaimed Contributor

Re: Problems in installing php 4 in HP-UX 11.23 ia64 box

>sh: 22244 Memory fault(coredump)

Can you check that core file to see which executable caused the problem?

>but that link is giving this error

Yes, that outage started last Sunday.